def convert_base(num, to_base=10, from_base=10):
    if isinstance(num, str):
        n = int(num, from_base)
    else:
        n = int(num)
    alphabet = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ"
    if n < to_base:
        return alphabet[n]
    else:
        return convert_base(n // to_base, to_base) + alphabet[n % to_base]


def sum_n(num):
    sum = 0
    num = str(num)
    for elem in num:
        sum += int(elem)
    return str(sum)


def main():
    n = int(input())
    count = 0
    for _ in range(n):
        t = int(input())
        converted_n = convert_base(t, 10, 8)
        summed_n = convert_base(sum_n(converted_n), 4, 10)
        try:
            if summed_n[-1] == '3' and summed_n[-2] == '1' and summed_n[-3] == '0':
                count += 1
        except:
            continue
    print(count)


main()
