alphabet = {'0': '&', '1': '<', '2': '>', '3': '[', '4': ']', '5': '{', '6': '}'}

opening = ['<', '{', '[']
closing = ['>', '}', ']']


def convert_magic_nums(number: int) -> str:
    number_str = str(number)
    magic_num = ''
    for i in number_str:
        magic_num += alphabet[i]

    return magic_num


def convert_systems(number: int, base: int) -> str:
    n = number

    new_num = []
    while n > 0:
        new_num.append(str(n % base))
        n = n // 7

    return ''.join(reversed(new_num))


def main():
    X, Y = [int(i) for i in input().split()]

    count = 0
    for i in range(X, Y + 1):
        curr_num = convert_systems(i, 7)
        magic_num = convert_magic_nums(curr_num)

        summ = 0
        for s in magic_num:
            if s in opening:
                summ += 1
            elif s in closing:
                summ -= 1
            elif s == '&':
                pass

        if magic_num[0] in closing:
            continue

        if summ == 0:
            count += 1

    print(count)


if __name__ == '__main__':
    main()
