def convert_base(num, to_base=10, from_base=10):
    if isinstance(num, str):
        n = int(num, from_base)
    else:
        n = int(num)
    alphabet = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ"
    if n < to_base:
        return alphabet[n]
    else:
        return convert_base(n // to_base, to_base) + alphabet[n % to_base]


def convert_skobki(num):
    alphabet = "#<>[]{}"
    res = list()
    for i in num:
        res.append(alphabet[int(i)])
    return res


def main():
    a, b = map(int, input().split())
    count = 0
    for i in range(a, b + 1):
        t = convert_skobki(convert_base(i, 7, 10))
        for i in range(len(t)):
            if t[i] == '#':
                t[i] = ''
            if t[i] == '<':
                for j in range(i, len(t)):
                    if t[j] == '>':
                        t[i] = ''
                        t[j] = ''
                        break
            if t[i] == '[':
                for j in range(i, len(t)):
                    if t[j] == ']':
                        t[i] = ''
                        t[j] = ''
                        break
            if t[i] == '{':
                for j in range(i, len(t)):
                    if t[j] == '}':
                        t[i] = ''
                        t[j] = ''
                        break
        flag = 0
        for elem in t:
            if elem != '':
                flag = 1
        if flag == 0:
            count += 1
    print(count)


main()
